Skip to main content
`Ctrl`+`K`

# numpy.matrix.mean

method

matrix.mean(axis=None, dtype=None, out=None)

  Returns the average of the matrix elements along the given axis.

  Refer to `numpy.mean` for full documentation.

  See also

  `numpy.mean`

  Notes

  Same as `ndarray.mean` except that, where that returns an `ndarray`, this returns a `matrix` object.

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3, 4)))
      >>> x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.mean()
      5.5
      >>> x.mean(0)
      matrix([[4., 5., 6., 7.]])
      >>> x.mean(1)
      matrix([[ 1.5],
              [ 5.5],
              [ 9.5]])